Summary: file archiving utility with compression
Name: zoo
Version: 2.10
Release: 5
Copyright: Copyrighted, freely distributable if unmodified
Group: Applications/Archiving
Source: ftp://sunsite.unc.edu:/pub/Linux/utils/compress/zoo-%{PACKAGE_VERSION}.tar.gz
Patch0: ftp://sunsite.unc.edu:/pub/Linux/utils/compress/zoo-%{PACKAGE_VERSION}.linux.diff.gz
Patch1: zoo-%{PACKAGE_VERSION}-timedcl.patch
Prefix: %{_prefix}
Buildroot: /var/tmp/zoo-root
%define DEFCC cc

%description
zoo is a file archiving utility for maintaining collections of files.  It uses
Lempel-Ziv compression to provide space savings in the range of 20 to 80
percent depending on the type of data. Written by Rahul Dhesi, and posted to
the USENET newsgroup comp.sources.misc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi

make CC=$CC "OPTIM=$RPM_OPT_FLAGS" linux

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/bin
install -d $RPM_BUILD_ROOT%{_prefix}/man/man1
install -s fiz $RPM_BUILD_ROOT%{_prefix}/bin/fiz
install -s zoo $RPM_BUILD_ROOT%{_prefix}/bin/zoo
install fiz.1 $RPM_BUILD_ROOT%{_prefix}/man/man1/fiz.1
install zoo.1 $RPM_BUILD_ROOT%{_prefix}/man/man1/zoo.1

(cd $RPM_BUILD_ROOT
    mkdir -p usr/bin
    cd usr/bin
    ln -sf ../..%{_prefix}/bin/* .
    cd -
)
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc Copyright
%attr(0755, root, root) %{_prefix}/bin/fiz
%attr(0755, root, root) %{_prefix}/bin/zoo
%{_prefix}/man/man1/fiz.1
%{_prefix}/man/man1/zoo.1
/usr/bin/fiz
/usr/bin/zoo

%changelog
* Wed Feb 25 2004 David Clissold <cliss@austin.ibm.com>  2.10-5
- Was still built with gcc, regardless of my last entry. (?)
- Build again, with IBM VAC compiler.

* Wed Mar 21 2001 David Clissold <cliss@austin.ibm.com>
- Change to allow build with non-gcc compiler

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Sun May 16 1999 Peter Soos <sp@osb.hu>
- using %attr macros to build the package as ordinary user

* Wed Nov 5 1997 Michael Vergallen <mvergall@double-barrel.be>
- changed all calls from ulong --> my_ulong, uint --> my_uint 
  and ushort --> my_ushort. to avoid conflict with the typedefs
  in glibc.
- modified all calls to basename to my_basename so it doesn't 
  interfere with the GNU basename util.
